Bug 642197 (CVE-2010-3567) - CVE-2010-3567 OpenJDK ICU Opentype layout engine crash (6963285)
Summary: CVE-2010-3567 OpenJDK ICU Opentype layout engine crash (6963285)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3567
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 642251 642252 642253 642254 642515 642516 642517
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-12 10:07 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:41:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0768 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2010-10-13 16:23:43 UTC
Red Hat Product Errata RHSA-2010:0770 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2010-10-14 13:35:50 UTC
Red Hat Product Errata RHSA-2010:0865 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2010-11-09 19:05:39 UTC

Comment 4 Jan Lieskovsky 2010-10-13 15:44:45 UTC
A crash in ICU Opentype layout engine was caused by a miscalculation in
character counts for right-to-left text causing out-of-bounds memory access.   
This could be misused by remote attackers to potentially execute code in the
context of the user running the java process. (CVE-2010-3567) 

The CVSSv2 scored upstream is
cvss2=7.5/AV:N/AC:L/Au:N/C:P/I:P/A:P

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 5 errata-xmlrpc 2010-10-13 16:24:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html

Comment 6 errata-xmlrpc 2010-10-14 13:36:53 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html

Comment 7 errata-xmlrpc 2010-11-10 18:49:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html


Note You need to log in before you can comment on or make changes to this bug.